curl --request PUT \
--url https://core.cyberun.cloud/api/v1/workflows/{workflowId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workflow_slug": "<string>",
"display_name": "<string>",
"description": "<string>",
"workflow_json": {},
"parameters": [
{
"key": "prompt",
"label": "Positive Prompt",
"node_id": "6",
"field": "text",
"target_path": "train.max_num_iterations",
"description": "<string>",
"required": true,
"default": "<unknown>",
"min": 123,
"max": 123,
"options": [
"<string>"
],
"accept": [
"<string>"
],
"source_key": "input_image"
}
],
"tool_type": "comfyui",
"required_labels": [
"<string>"
],
"task_timeout": 1,
"max_retries": 1,
"workflow_status": "active",
"preferred_gpu": "RTX_4090",
"default_dispatch_target": "agent",
"min_vram_gb": 1024,
"required_models": [
"<string>"
]
}
'import requests
url = "https://core.cyberun.cloud/api/v1/workflows/{workflowId}"
payload = {
"workflow_slug": "<string>",
"display_name": "<string>",
"description": "<string>",
"workflow_json": {},
"parameters": [
{
"key": "prompt",
"label": "Positive Prompt",
"node_id": "6",
"field": "text",
"target_path": "train.max_num_iterations",
"description": "<string>",
"required": True,
"default": "<unknown>",
"min": 123,
"max": 123,
"options": ["<string>"],
"accept": ["<string>"],
"source_key": "input_image"
}
],
"tool_type": "comfyui",
"required_labels": ["<string>"],
"task_timeout": 1,
"max_retries": 1,
"workflow_status": "active",
"preferred_gpu": "RTX_4090",
"default_dispatch_target": "agent",
"min_vram_gb": 1024,
"required_models": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workflow_slug: '<string>',
display_name: '<string>',
description: '<string>',
workflow_json: {},
parameters: [
{
key: 'prompt',
label: 'Positive Prompt',
node_id: '6',
field: 'text',
target_path: 'train.max_num_iterations',
description: '<string>',
required: true,
default: '<unknown>',
min: 123,
max: 123,
options: ['<string>'],
accept: ['<string>'],
source_key: 'input_image'
}
],
tool_type: 'comfyui',
required_labels: ['<string>'],
task_timeout: 1,
max_retries: 1,
workflow_status: 'active',
preferred_gpu: 'RTX_4090',
default_dispatch_target: 'agent',
min_vram_gb: 1024,
required_models: ['<string>']
})
};
fetch('https://core.cyberun.cloud/api/v1/workflows/{workflowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://core.cyberun.cloud/api/v1/workflows/{workflowId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'workflow_slug' => '<string>',
'display_name' => '<string>',
'description' => '<string>',
'workflow_json' => [
],
'parameters' => [
[
'key' => 'prompt',
'label' => 'Positive Prompt',
'node_id' => '6',
'field' => 'text',
'target_path' => 'train.max_num_iterations',
'description' => '<string>',
'required' => true,
'default' => '<unknown>',
'min' => 123,
'max' => 123,
'options' => [
'<string>'
],
'accept' => [
'<string>'
],
'source_key' => 'input_image'
]
],
'tool_type' => 'comfyui',
'required_labels' => [
'<string>'
],
'task_timeout' => 1,
'max_retries' => 1,
'workflow_status' => 'active',
'preferred_gpu' => 'RTX_4090',
'default_dispatch_target' => 'agent',
'min_vram_gb' => 1024,
'required_models' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://core.cyberun.cloud/api/v1/workflows/{workflowId}"
payload := strings.NewReader("{\n \"workflow_slug\": \"<string>\",\n \"display_name\": \"<string>\",\n \"description\": \"<string>\",\n \"workflow_json\": {},\n \"parameters\": [\n {\n \"key\": \"prompt\",\n \"label\": \"Positive Prompt\",\n \"node_id\": \"6\",\n \"field\": \"text\",\n \"target_path\": \"train.max_num_iterations\",\n \"description\": \"<string>\",\n \"required\": true,\n \"default\": \"<unknown>\",\n \"min\": 123,\n \"max\": 123,\n \"options\": [\n \"<string>\"\n ],\n \"accept\": [\n \"<string>\"\n ],\n \"source_key\": \"input_image\"\n }\n ],\n \"tool_type\": \"comfyui\",\n \"required_labels\": [\n \"<string>\"\n ],\n \"task_timeout\": 1,\n \"max_retries\": 1,\n \"workflow_status\": \"active\",\n \"preferred_gpu\": \"RTX_4090\",\n \"default_dispatch_target\": \"agent\",\n \"min_vram_gb\": 1024,\n \"required_models\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://core.cyberun.cloud/api/v1/workflows/{workflowId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workflow_slug\": \"<string>\",\n \"display_name\": \"<string>\",\n \"description\": \"<string>\",\n \"workflow_json\": {},\n \"parameters\": [\n {\n \"key\": \"prompt\",\n \"label\": \"Positive Prompt\",\n \"node_id\": \"6\",\n \"field\": \"text\",\n \"target_path\": \"train.max_num_iterations\",\n \"description\": \"<string>\",\n \"required\": true,\n \"default\": \"<unknown>\",\n \"min\": 123,\n \"max\": 123,\n \"options\": [\n \"<string>\"\n ],\n \"accept\": [\n \"<string>\"\n ],\n \"source_key\": \"input_image\"\n }\n ],\n \"tool_type\": \"comfyui\",\n \"required_labels\": [\n \"<string>\"\n ],\n \"task_timeout\": 1,\n \"max_retries\": 1,\n \"workflow_status\": \"active\",\n \"preferred_gpu\": \"RTX_4090\",\n \"default_dispatch_target\": \"agent\",\n \"min_vram_gb\": 1024,\n \"required_models\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.cyberun.cloud/api/v1/workflows/{workflowId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workflow_slug\": \"<string>\",\n \"display_name\": \"<string>\",\n \"description\": \"<string>\",\n \"workflow_json\": {},\n \"parameters\": [\n {\n \"key\": \"prompt\",\n \"label\": \"Positive Prompt\",\n \"node_id\": \"6\",\n \"field\": \"text\",\n \"target_path\": \"train.max_num_iterations\",\n \"description\": \"<string>\",\n \"required\": true,\n \"default\": \"<unknown>\",\n \"min\": 123,\n \"max\": 123,\n \"options\": [\n \"<string>\"\n ],\n \"accept\": [\n \"<string>\"\n ],\n \"source_key\": \"input_image\"\n }\n ],\n \"tool_type\": \"comfyui\",\n \"required_labels\": [\n \"<string>\"\n ],\n \"task_timeout\": 1,\n \"max_retries\": 1,\n \"workflow_status\": \"active\",\n \"preferred_gpu\": \"RTX_4090\",\n \"default_dispatch_target\": \"agent\",\n \"min_vram_gb\": 1024,\n \"required_models\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "019abc12-3456-7890-abcd-ef1234567890"
}{
"error_message": "resource not found"
}{
"error_message": "resource not found"
}{
"error_message": "resource not found"
}{
"error_message": "resource not found"
}Update a workflow
Updates workflow properties. Only provided fields are changed. If workflow_json is updated, parameter node_id references are re-validated. The version number auto-increments on each update. Updating slug will fail if the new slug conflicts with an existing workflow.
curl --request PUT \
--url https://core.cyberun.cloud/api/v1/workflows/{workflowId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workflow_slug": "<string>",
"display_name": "<string>",
"description": "<string>",
"workflow_json": {},
"parameters": [
{
"key": "prompt",
"label": "Positive Prompt",
"node_id": "6",
"field": "text",
"target_path": "train.max_num_iterations",
"description": "<string>",
"required": true,
"default": "<unknown>",
"min": 123,
"max": 123,
"options": [
"<string>"
],
"accept": [
"<string>"
],
"source_key": "input_image"
}
],
"tool_type": "comfyui",
"required_labels": [
"<string>"
],
"task_timeout": 1,
"max_retries": 1,
"workflow_status": "active",
"preferred_gpu": "RTX_4090",
"default_dispatch_target": "agent",
"min_vram_gb": 1024,
"required_models": [
"<string>"
]
}
'import requests
url = "https://core.cyberun.cloud/api/v1/workflows/{workflowId}"
payload = {
"workflow_slug": "<string>",
"display_name": "<string>",
"description": "<string>",
"workflow_json": {},
"parameters": [
{
"key": "prompt",
"label": "Positive Prompt",
"node_id": "6",
"field": "text",
"target_path": "train.max_num_iterations",
"description": "<string>",
"required": True,
"default": "<unknown>",
"min": 123,
"max": 123,
"options": ["<string>"],
"accept": ["<string>"],
"source_key": "input_image"
}
],
"tool_type": "comfyui",
"required_labels": ["<string>"],
"task_timeout": 1,
"max_retries": 1,
"workflow_status": "active",
"preferred_gpu": "RTX_4090",
"default_dispatch_target": "agent",
"min_vram_gb": 1024,
"required_models": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workflow_slug: '<string>',
display_name: '<string>',
description: '<string>',
workflow_json: {},
parameters: [
{
key: 'prompt',
label: 'Positive Prompt',
node_id: '6',
field: 'text',
target_path: 'train.max_num_iterations',
description: '<string>',
required: true,
default: '<unknown>',
min: 123,
max: 123,
options: ['<string>'],
accept: ['<string>'],
source_key: 'input_image'
}
],
tool_type: 'comfyui',
required_labels: ['<string>'],
task_timeout: 1,
max_retries: 1,
workflow_status: 'active',
preferred_gpu: 'RTX_4090',
default_dispatch_target: 'agent',
min_vram_gb: 1024,
required_models: ['<string>']
})
};
fetch('https://core.cyberun.cloud/api/v1/workflows/{workflowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://core.cyberun.cloud/api/v1/workflows/{workflowId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'workflow_slug' => '<string>',
'display_name' => '<string>',
'description' => '<string>',
'workflow_json' => [
],
'parameters' => [
[
'key' => 'prompt',
'label' => 'Positive Prompt',
'node_id' => '6',
'field' => 'text',
'target_path' => 'train.max_num_iterations',
'description' => '<string>',
'required' => true,
'default' => '<unknown>',
'min' => 123,
'max' => 123,
'options' => [
'<string>'
],
'accept' => [
'<string>'
],
'source_key' => 'input_image'
]
],
'tool_type' => 'comfyui',
'required_labels' => [
'<string>'
],
'task_timeout' => 1,
'max_retries' => 1,
'workflow_status' => 'active',
'preferred_gpu' => 'RTX_4090',
'default_dispatch_target' => 'agent',
'min_vram_gb' => 1024,
'required_models' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://core.cyberun.cloud/api/v1/workflows/{workflowId}"
payload := strings.NewReader("{\n \"workflow_slug\": \"<string>\",\n \"display_name\": \"<string>\",\n \"description\": \"<string>\",\n \"workflow_json\": {},\n \"parameters\": [\n {\n \"key\": \"prompt\",\n \"label\": \"Positive Prompt\",\n \"node_id\": \"6\",\n \"field\": \"text\",\n \"target_path\": \"train.max_num_iterations\",\n \"description\": \"<string>\",\n \"required\": true,\n \"default\": \"<unknown>\",\n \"min\": 123,\n \"max\": 123,\n \"options\": [\n \"<string>\"\n ],\n \"accept\": [\n \"<string>\"\n ],\n \"source_key\": \"input_image\"\n }\n ],\n \"tool_type\": \"comfyui\",\n \"required_labels\": [\n \"<string>\"\n ],\n \"task_timeout\": 1,\n \"max_retries\": 1,\n \"workflow_status\": \"active\",\n \"preferred_gpu\": \"RTX_4090\",\n \"default_dispatch_target\": \"agent\",\n \"min_vram_gb\": 1024,\n \"required_models\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://core.cyberun.cloud/api/v1/workflows/{workflowId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workflow_slug\": \"<string>\",\n \"display_name\": \"<string>\",\n \"description\": \"<string>\",\n \"workflow_json\": {},\n \"parameters\": [\n {\n \"key\": \"prompt\",\n \"label\": \"Positive Prompt\",\n \"node_id\": \"6\",\n \"field\": \"text\",\n \"target_path\": \"train.max_num_iterations\",\n \"description\": \"<string>\",\n \"required\": true,\n \"default\": \"<unknown>\",\n \"min\": 123,\n \"max\": 123,\n \"options\": [\n \"<string>\"\n ],\n \"accept\": [\n \"<string>\"\n ],\n \"source_key\": \"input_image\"\n }\n ],\n \"tool_type\": \"comfyui\",\n \"required_labels\": [\n \"<string>\"\n ],\n \"task_timeout\": 1,\n \"max_retries\": 1,\n \"workflow_status\": \"active\",\n \"preferred_gpu\": \"RTX_4090\",\n \"default_dispatch_target\": \"agent\",\n \"min_vram_gb\": 1024,\n \"required_models\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.cyberun.cloud/api/v1/workflows/{workflowId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workflow_slug\": \"<string>\",\n \"display_name\": \"<string>\",\n \"description\": \"<string>\",\n \"workflow_json\": {},\n \"parameters\": [\n {\n \"key\": \"prompt\",\n \"label\": \"Positive Prompt\",\n \"node_id\": \"6\",\n \"field\": \"text\",\n \"target_path\": \"train.max_num_iterations\",\n \"description\": \"<string>\",\n \"required\": true,\n \"default\": \"<unknown>\",\n \"min\": 123,\n \"max\": 123,\n \"options\": [\n \"<string>\"\n ],\n \"accept\": [\n \"<string>\"\n ],\n \"source_key\": \"input_image\"\n }\n ],\n \"tool_type\": \"comfyui\",\n \"required_labels\": [\n \"<string>\"\n ],\n \"task_timeout\": 1,\n \"max_retries\": 1,\n \"workflow_status\": \"active\",\n \"preferred_gpu\": \"RTX_4090\",\n \"default_dispatch_target\": \"agent\",\n \"min_vram_gb\": 1024,\n \"required_models\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "019abc12-3456-7890-abcd-ef1234567890"
}{
"error_message": "resource not found"
}{
"error_message": "resource not found"
}{
"error_message": "resource not found"
}{
"error_message": "resource not found"
}Authorizations
User session JWT (Bearer ). Must be paired with the X-Team-ID
request header on team-scoped endpoints so the server knows which
team's resources to operate on.
Headers
UUID of the team to scope the request to. Used by dual-auth endpoints (runtime + scoped management):
- JWT callers MUST send it — a user may belong to multiple teams and the runtime cannot otherwise know which one to operate on. Missing header → 400.
- Credential callers (
sk-,dk-) can omit it because the team is derived from the credential row itself. Any value sent is ignored.
"019abc12-4567-7890-abcd-ef1234567891"
Path Parameters
UUID of the workflow.
"019abc12-8901-7890-abcd-ef1234567895"
Body
All fields are optional. Only provided fields are updated.
Updated globally unique slug.
2 - 100^[a-z0-9]+(?:-[a-z0-9]+)*$Updated workflow name.
1 - 255Updated description.
2000Updated tool-specific workflow definition. If provided, parameters are re-validated for the workflow's tool_type.
Updated parameter definitions (replaces the entire array).
Show child attributes
Show child attributes
Tool runtime used by this workflow:
comfyui: ComfyUI API workflow JSON (default, backward compatible).nerfstudio: Nerfstudio 3DGS pipeline spec.
comfyui, nerfstudio "comfyui"
Updated labels required for agent matching.
Updated maximum execution time in seconds. 0 means no timeout.
x >= 0Updated maximum number of automatic retries. 0 means no retry.
x >= 0Set to disabled to prevent new task submissions for this workflow.
active, disabled "active"
Preferred GPU type for agent matching. If empty, clears the preference.
100"RTX_4090"
Default compute source for tasks. If empty, clears the default (falls back to agent).
agent, comfy_cloud "agent"
Updated minimum GPU VRAM required. Set to 0 to clear the requirement.
0 <= x <= 2048Updated required models list. Send an empty array to clear the requirement; otherwise the new list fully replaces the previous set.
512Response
Workflow updated
UUID of the created or updated resource.
"019abc12-3456-7890-abcd-ef1234567890"
